Bug 1236947 (CVE-2015-2724, CVE-2015-2725) - CVE-2015-2724 CVE-2015-2725 Mozilla: Miscellaneous memory safety hazards (rv:31.8 / rv:38.1) (MFSA 2015-59)
Summary: CVE-2015-2724 CVE-2015-2725 Mozilla: Miscellaneous memory safety hazards (rv:...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-2724, CVE-2015-2725
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20150702,repo...
Depends On:
Blocks: 1235754
TreeView+ depends on / blocked
 
Reported: 2015-06-30 04:51 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 20:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-20 17:53:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1207 normal SHIPPED_LIVE Critical: firefox security update 2015-07-03 09:12:10 UTC
Red Hat Product Errata RHSA-2015:1455 normal SHIPPED_LIVE Important: thunderbird security update 2015-07-20 20:34:40 UTC

Description Huzaifa S. Sidhpurwala 2015-06-30 04:51:09 UTC
Mozilla developers and community identified and fixed several memory safety bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these bugs showed evidence of memory corruption under certain circumstances, and we presume that with enough effort at least some of these could be exploited to run arbitrary code.

In general these flaws cannot be exploited through email in the Thunderbird product because scripting is disabled, but are potentially a risk in browser or browser-like contexts.

Bob Clary, Christian Holler, Bobby Holley, and Andrew McCreight reported memory safety problems and crashes that affect Firefox ESR 31.7, Firefox ESR 38, and Firefox 38.

Bob Clary, Terrence Cole, Christian Holler, Andrew McCreight, Steve Fink, Mats Palmgren, Wes Kocher, and Andreas Pehrson reported memory safety problems and crashes that affect Firefox ESR 38 and Firefox 38.


External Reference:

http://www.mozilla.org/security/announce/2015/mfsa2015-59.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Bob Clary, Christian Holler, Bobby Holley, Andrew McCreight, Terrence Cole, Steve Fink, Mats Palmgren, Wes Kocher, and Andreas Pehrson as the original reporter.

Comment 1 errata-xmlrpc 2015-07-03 05:13:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2015:1207 https://rhn.redhat.com/errata/RHSA-2015-1207.html

Comment 2 errata-xmlrpc 2015-07-20 16:35:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7

Via RHSA-2015:1455 https://rhn.redhat.com/errata/RHSA-2015-1455.html


Note You need to log in before you can comment on or make changes to this bug.